about summary refs log tree commit diff stats
path: root/hm/soispha/pkgs/scripts/wrappers/mpc-rm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'hm/soispha/pkgs/scripts/wrappers/mpc-rm.sh')
-rwxr-xr-xhm/soispha/pkgs/scripts/wrappers/mpc-rm.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/hm/soispha/pkgs/scripts/wrappers/mpc-rm.sh b/hm/soispha/pkgs/scripts/wrappers/mpc-rm.sh
new file mode 100755
index 00000000..cc01c322
--- /dev/null
+++ b/hm/soispha/pkgs/scripts/wrappers/mpc-rm.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
+
+
+cd "$XDG_MUSIC_DIR" || die "No music dir!"
+trash-put "$(mpc --format '%file%' current)";
+mpc del 0;
+
+
+
+
+# vim: ft=sh